## get l
l <- get.l(X = X, max = 0.6, n = 20)

## get q
q <- get.q(X = X, l = l)

## model EMs
em.pot <- model.EM(X = X, q = q, l = l, plot = TRUE)

## set limits
limits <- cbind(c(63, 75, 98, 102),
                c(64, 77, 99, 103))

## get robust EMs
em.rob <- robust.EM(em = em.pot, limits = limits, plot = TRUE, mc_n = 20)
